package com.example.fieldagent.ui.damagelist.adapter

import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.bumptech.glide.Glide
import com.example.fieldagent.R
import com.example.fieldagent.data.models.responses.InspectionList
import com.example.fieldagent.databinding.FillImageAdapterBinding
import com.example.fieldagent.ui.homescreen.adapter.HomeAdapter.ViewHolder
import com.example.fieldagent.utils.DateUtils.getTimeAgo
import com.example.fieldagent.utils.IMAGE_BASE_URL

class ShowImageAdapter(private val images: List<String>?) : RecyclerView.Adapter<ShowImageAdapter.ShowImageHolder>() {

    class ShowImageHolder(private val binding: FillImageAdapterBinding) :
        RecyclerView.ViewHolder(binding.root) {

        fun bind(imageUrl: String) {
            Glide.with(binding.root)
                .load(IMAGE_BASE_URL + imageUrl)
                .error(R.drawable.home_item)
                .fallback(R.drawable.home_item)
                .into(binding.ivUploadImage)



        }
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ShowImageHolder {
        val binding =
            FillImageAdapterBinding.inflate(LayoutInflater.from(parent.context), parent, false)
        return ShowImageHolder(binding)
    }

    override fun onBindViewHolder(holder: ShowImageHolder, position: Int) {
        images?.get(position)?.let { imageUrl ->
            holder.bind(imageUrl)
        }
    }

    override fun getItemCount(): Int = images?.size ?: 0
}